// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/sea-eevee/backend/sso/repo_sso (interfaces: Contract)

// Package mock_repo_sso is a generated GoMock package.
package mock_repo_sso

import (
	gomock "github.com/golang/mock/gomock"
	reflect "reflect"
)

// MockContract is a mock of Contract interface
type MockContract struct {
	ctrl     *gomock.Controller
	recorder *MockContractMockRecorder
}

// MockContractMockRecorder is the mock recorder for MockContract
type MockContractMockRecorder struct {
	mock *MockContract
}

// NewMockContract creates a new mock instance
func NewMockContract(ctrl *gomock.Controller) *MockContract {
	mock := &MockContract{ctrl: ctrl}
	mock.recorder = &MockContractMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockContract) EXPECT() *MockContractMockRecorder {
	return m.recorder
}

// GetUIDPassByUsernameAndRole mocks base method
func (m *MockContract) GetUIDPassByUsernameAndRole(arg0, arg1 string) (uint64, string, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetUIDPassByUsernameAndRole", arg0, arg1)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(string)
	ret2, _ := ret[2].(error)
	return ret0, ret1, ret2
}

// GetUIDPassByUsernameAndRole indicates an expected call of GetUIDPassByUsernameAndRole
func (mr *MockContractMockRecorder) GetUIDPassByUsernameAndRole(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUIDPassByUsernameAndRole", reflect.TypeOf((*MockContract)(nil).GetUIDPassByUsernameAndRole), arg0, arg1)
}

// InsertAdmin mocks base method
func (m *MockContract) InsertAdmin(arg0, arg1 string) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "InsertAdmin", arg0, arg1)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// InsertAdmin indicates an expected call of InsertAdmin
func (mr *MockContractMockRecorder) InsertAdmin(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InsertAdmin", reflect.TypeOf((*MockContract)(nil).InsertAdmin), arg0, arg1)
}

// InsertMerchantOrCustomer mocks base method
func (m *MockContract) InsertMerchantOrCustomer(arg0, arg1, arg2, arg3 string) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "InsertMerchantOrCustomer", arg0, arg1, arg2, arg3)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// InsertMerchantOrCustomer indicates an expected call of InsertMerchantOrCustomer
func (mr *MockContractMockRecorder) InsertMerchantOrCustomer(arg0, arg1, arg2, arg3 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InsertMerchantOrCustomer", reflect.TypeOf((*MockContract)(nil).InsertMerchantOrCustomer), arg0, arg1, arg2, arg3)
}

// IsAdminTokenExists mocks base method
func (m *MockContract) IsAdminTokenExists(arg0 string) (bool, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "IsAdminTokenExists", arg0)
	ret0, _ := ret[0].(bool)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// IsAdminTokenExists indicates an expected call of IsAdminTokenExists
func (mr *MockContractMockRecorder) IsAdminTokenExists(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "IsAdminTokenExists", reflect.TypeOf((*MockContract)(nil).IsAdminTokenExists), arg0)
}
